-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local index = Input
local pd_speed_enum = {
    [1] = 1500,
    [2] = 3000,
    [3] = 6000,
    [4] = 12000,
    [5] = 2500,
    [6] = 5000,
    [7] = 8000,
    [8] = 10000,
    [9] = 16000,
    [10] = 20000,
    [11] = 30000,
    [12] = 32000,
    [13] = 40000,
    [14] = 64000,
    [15] = 80000,
    [16] = 96000,
    [17] = 128000,
    [18] = 160000,
    [19] = 256000,
    [0x80] = 22500,
    [0x81] = 5000,
    [0x82] = 8000,
    [0x83] = 16000
}

if pd_speed_enum[index] then
    return pd_speed_enum[index]
end
return -1